PACGRAPH(1)

NAME
pacgraph - PACGRAPH provides a birds eye view of all installed packages

SYNOPSIS
pacgraph -[h|s|o|e|c|r|n] [-f FILENAME] [-b|l|t|d COLOR] [-p INT INT] [-m MODE] [--shared] [--disable-palette] [package names]

DESCRIPTION
pacgraph draws a pretty picture of your installed packages. Common uses are exploring dependency trees or finding hundreds of megs of useless packages. Supported distributions include Arch, Debian and Redhat.

pacgraph will by default generate a pacgraph.svg and if a converter is found automatically produce pacgraph.png. Alternately, pacgraph-tk provides and interactive version while pacgraph -c/--console produces a brief text summary. A list of packages may be provided as arguments to select them.

More information and example graphs may be found on the project's homepage, http://kmkeen.com/pacgraph

OPTIONS
All of these are optional but many provide a means of generating a more aesthetically pleasing output.

-h --help
    Show help message and exit.

-s --svg
    Produce the SVG but do not attempt to rasterize it.

-f FILENAME --file=FILENAME
    Override default filename/location. Do not specify an extension.

-c --console
    Print summary to console, does not draw a graph. Very fast and to the point.

--disable-palette
    Disables lossy palette compression.

THEMING OPTIONS
Colors may be words (white, red, etc), #RGB hex values or #RRGGBB hex values. Remember to quote/escape the #.

-b COLOR --background=COLOR
    Background color.

-l COLOR --link=COLOR
    Color of links between packages.

-t COLOR --top=COLOR
    Color of packages which are not dependencies.

-d COLOR --dep=COLOR
    Color of packages which are dependencies.

-i COLOR COLOR COLOR --highlight=COLOR COLOR COLOR
    Color of selected package, selected dependencies, selected needed-by.

-p INT INT --point=INT INT
    Takes two integers, for the smallest and largest font size. Default is -p 10 100.

OTHER OPTIONS

-m MODE --mode=MODE
    Currently supported modes are arch, arch-repo, debian, redhat and ipkg. Default is arch. Use arch-repo to plot specific packages instead of installed packages.

-n --no-compression
    Disable all chain compression.

--shared
    Compare shared libraries.

--show-req-by
    Includes required-by of specified packages. Only works for arch-repo.

AUTHORS
-nosplit

pacgraph was written by Kyle Keen <keenerd@gmail.com> with patches from Carl Hamann for Debian and Redhat support.